GET /api/v3/vendor

Retrieves an array of vendors. The array of vendors can be filtered by a number of criteria. See the filter property for more details

GetVendorsV3 Permissions: VendorsAndRatesModule (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
city City String equals not equals one of like not like not one of
commodityCode Commodity Code String equals not equals one of like not like not one of
commodityId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
commodityInfo Commodity Name String equals not equals one of like not like not one of
postalCode Postal Code String equals not equals one of like not like not one of
splitAccountChargesConfigured Vendor Split Charges Configured Boolean equals
state State/Province String equals not equals one of like not like not one of
vendorCode Vendor Code String equals not equals one of like not like not one of
vendorId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
vendorInfo Vendor Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

VendorResponse
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
consentToRepresent A link to the document containing the customer’s consent for us to represent them to the vendor string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the vendor was created string (date-time)
ediCode The vendor’s edi code string
email The vendor’s email address string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification string (date-time)
payDays The pay days integer (int32)
phoneNumber The vendor’s phone number string
rates The vendor’s rates RateChildResponse[]
RateChildResponse properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
name string
rateId integer (int32)
splitAccountChargesConfigured If there are settings configured to split account charges for this vendor This will only be true when the setting applies to all accounts for this vendor boolean
vendorCode The vendor code string
vendorCodeAliases An array of vendor code aliases string[]
vendorDescription A description of the vendor string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
website The vendor’s website string
Example Response application/json
[
  {    "address": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "latitude": 1.0,      "line1": "string",      "line2": "string",      "line3": "string",      "longitude": 1.0,      "postalCode": "string",      "remitTo": "string",      "state": "string"
    },    "consentToRepresent": "string",    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "ediCode": "string",    "email": "string",    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "payDays": 1,    "phoneNumber": "string",    "rates": [
      {      "commodity": {},      "name": "string",      "rateId": 1
    }
    ],    "splitAccountChargesConfigured": false,    "vendorCode": "string",    "vendorCodeAliases": [
      "string"
    ],    "vendorDescription": "string",    "vendorId": 1,    "vendorInfo": "string",    "website": "string"
  }
]